Class Index | File Index

## Classes

- _global_
- mxn
- mxn.BoundingBox
- mxn.Event
- mxn.Geocoder
- mxn.Invoker
- mxn.LatLonPoint
- mxn.Mapstraction
- mxn.Marker
- mxn.Polyline
- mxn.Radius
- mxn.util
- mxn.util.Color

# Class mxn.util.Color

Defined in: mxn.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| mxn.util.Color() Class for converting between HTML and RGB integer color formats.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getHexColor() Retrieve the color value as an HTML hex string.
| setHexColor(strHexColor) Set the color from the supplied HTML hex string.

Class Detail
mxn.util.Color()
Class for converting between HTML and RGB integer color formats. Accepts either a HTML color string argument or three integers for R, G and B.
Method Detail
{String} getHexColor()
Retrieve the color value as an HTML hex string.

Returns:
  {String} Format '#00FF88'.

setHexColor(strHexColor)
Set the color from the supplied HTML hex string.

Parameters:
{String} strHexColor
  A HTML hex color string e.g. '#00FF88'.

©2009
Documentation generated by JsDoc Toolkit 2.1.1 on Wed Jul 13 2011 23:10:53 GMT+0100 (BST)